Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGerhard Brauer <gerbra@archlinux.de>2009-08-25 15:54:10 +0200
committerGerhard Brauer <gerbra@archlinux.de>2009-08-25 15:54:10 +0200
commitbb5f05f4ab7c281475600b4b9650699f03643569 (patch)
treef981f4f9f7878ec42e7bf63bddecc93d23b47dbf
parentddcdd759146000ff974e9e0bf8b6ca70f4bedfde (diff)
Added vfat support to mount /dev/archiso
fstype from klibc don't detect a vfat formatted blockdevice when try to mount /dev/archiso to /bootmnt. Some users don't use the recommened method with dd to bring the image to their USB stick. If they for ex. use Unetbootin to put the iso image on their (v)fat formatted stick they got lost with a kernel panic cause fstype won't detect vfat, so the mount and the later squashfs bindings traps. Signed-off-by: Gerhard Brauer <gerbra@archlinux.de>
-rw-r--r--archiso/hooks/archiso33
1 files changed, 22 insertions, 11 deletions
diff --git a/archiso/hooks/archiso b/archiso/hooks/archiso
index ab55be6..8ff23a3 100644
--- a/archiso/hooks/archiso
+++ b/archiso/hooks/archiso
@@ -64,20 +64,31 @@ run_hook ()
done
eval $(fstype < /dev/archiso 2>/dev/null)
- if [ -n "${FSTYPE}" -a "${FSTYPE}" != "unknown" ]; then
- if mount -r -t "${FSTYPE}" /dev/archiso /bootmnt >/dev/null 2>&1; then
- if [ -e "/bootmnt/isomounts" ]; then
- echo "SUCCESS: Mounted archiso volume successfully."
+ if [ -n "${FSTYPE}" ]; then
+ if [ "${FSTYPE}" = "unknown" ]; then
+ # First try mounting then with vfat, maybe someone put the image on
+ # USB stick with unetbootin or similar. vfat is not detected by fstype.
+ _FSTYPE="vfat"
else
- echo "ERROR: Mounting was successful, but the isomounts file does not exist."
- exit 1
+ _FSTYPE=$FSTYPE
+ fi
+ if mount -r -t "${_FSTYPE}" /dev/archiso /bootmnt >/dev/null 2>&1; then
+ if [ -e "/bootmnt/isomounts" ]; then
+ echo "SUCCESS: Mounted archiso volume successfully."
+ else
+ echo "ERROR: Mounting was successful, but the isomounts file does not exist."
+ exit 1
+ fi
+ else
+ if [ "${FSTYPE}" = "unknown" ]; then
+ echo "ERROR: Failed to mount /dev/archiso (FS is unknown and not vfat)."
+ else
+ echo "ERROR; Failed to mount /dev/archiso (FS is ${FSTYPE}."
+ fi
+ exit 1
fi
- else
- echo "ERROR: Failed to mount /dev/archiso"
- exit 1
- fi
else
- echo "ERROR: /dev/archiso found, but the filesystem type is unknown."
+ echo "ERROR: /dev/archiso found, but the filesystem type is unknown."
fi
/bin/modprobe -q squashfs >/dev/null 2>&1